window.addEventListener('DOMContentLoaded', () => {
    const title = document.querySelector('.hero h1');
    const subtitle = document.querySelector('.hero p');
  
    title.style.opacity = 0;
    subtitle.style.opacity = 0;
  
    setTimeout(() => {
      title.style.transform = 'translateY(0)';
      title.style.opacity = 1;
    }, 200);
  
    setTimeout(() => {
      subtitle.style.transform = 'translateY(0)';
      subtitle.style.opacity = 1;
    }, 500);
  });
  const buttons = document.querySelectorAll('.btn');
buttons.forEach(btn => {
  btn.addEventListener('mouseenter', () => {
    btn.classList.add('hovered');
  });
  btn.addEventListener('mouseleave', () => {
    btn.classList.remove('hovered');
  });
});